// $ANTLR 3.2 Sep 23, 2009 12:02:23 C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g 2010-12-07 14:28:52

	package jTMass.core.jLoaders.jTMassML;


import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

public class tMassMLLexer extends Lexer {
    public static final int T__29=29;
    public static final int T__28=28;
    public static final int T__27=27;
    public static final int T__26=26;
    public static final int T__25=25;
    public static final int T__24=24;
    public static final int T__23=23;
    public static final int T__22=22;
    public static final int T__21=21;
    public static final int DRIVER=7;
    public static final int T__20=20;
    public static final int NUMBER=6;
    public static final int ID=4;
    public static final int EOF=-1;
    public static final int FILE=5;
    public static final int T__30=30;
    public static final int T__19=19;
    public static final int T__31=31;
    public static final int T__32=32;
    public static final int T__16=16;
    public static final int T__33=33;
    public static final int WS=9;
    public static final int T__15=15;
    public static final int T__34=34;
    public static final int T__18=18;
    public static final int T__35=35;
    public static final int T__17=17;
    public static final int T__12=12;
    public static final int T__11=11;
    public static final int T__14=14;
    public static final int T__13=13;
    public static final int T__10=10;
    public static final int BACKSLASH=8;

    // delegates
    // delegators

    public tMassMLLexer() {;} 
    public tMassMLLexer(CharStream input) {
        this(input, new RecognizerSharedState());
    }
    public tMassMLLexer(CharStream input, RecognizerSharedState state) {
        super(input,state);

    }
    public String getGrammarFileName() { return "C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g"; }

    // $ANTLR start "T__10"
    public final void mT__10() throws RecognitionException {
        try {
            int _type = T__10;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:7:7: ( 'sources' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:7:9: 'sources'
            {
            match("sources"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__10"

    // $ANTLR start "T__11"
    public final void mT__11() throws RecognitionException {
        try {
            int _type = T__11;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:8:7: ( '{' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:8:9: '{'
            {
            match('{'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__11"

    // $ANTLR start "T__12"
    public final void mT__12() throws RecognitionException {
        try {
            int _type = T__12;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:9:7: ( '}' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:9:9: '}'
            {
            match('}'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__12"

    // $ANTLR start "T__13"
    public final void mT__13() throws RecognitionException {
        try {
            int _type = T__13;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:10:7: ( ';' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:10:9: ';'
            {
            match(';'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__13"

    // $ANTLR start "T__14"
    public final void mT__14() throws RecognitionException {
        try {
            int _type = T__14;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:11:7: ( 'elements' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:11:9: 'elements'
            {
            match("elements"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__14"

    // $ANTLR start "T__15"
    public final void mT__15() throws RecognitionException {
        try {
            int _type = T__15;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:12:7: ( 'relations' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:12:9: 'relations'
            {
            match("relations"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__15"

    // $ANTLR start "T__16"
    public final void mT__16() throws RecognitionException {
        try {
            int _type = T__16;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:13:7: ( 'model:' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:13:9: 'model:'
            {
            match("model:"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__16"

    // $ANTLR start "T__17"
    public final void mT__17() throws RecognitionException {
        try {
            int _type = T__17;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:14:7: ( 'agents' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:14:9: 'agents'
            {
            match("agents"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__17"

    // $ANTLR start "T__18"
    public final void mT__18() throws RecognitionException {
        try {
            int _type = T__18;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:15:7: ( ':' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:15:9: ':'
            {
            match(':'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__18"

    // $ANTLR start "T__19"
    public final void mT__19() throws RecognitionException {
        try {
            int _type = T__19;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:16:7: ( 'platforms' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:16:9: 'platforms'
            {
            match("platforms"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__19"

    // $ANTLR start "T__20"
    public final void mT__20() throws RecognitionException {
        try {
            int _type = T__20;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:17:7: ( 'environments' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:17:9: 'environments'
            {
            match("environments"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__20"

    // $ANTLR start "T__21"
    public final void mT__21() throws RecognitionException {
        try {
            int _type = T__21;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:18:7: ( 'file' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:18:9: 'file'
            {
            match("file"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__21"

    // $ANTLR start "T__22"
    public final void mT__22() throws RecognitionException {
        try {
            int _type = T__22;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:19:7: ( 'platform' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:19:9: 'platform'
            {
            match("platform"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__22"

    // $ANTLR start "T__23"
    public final void mT__23() throws RecognitionException {
        try {
            int _type = T__23;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:20:7: ( '(' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:20:9: '('
            {
            match('('); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__23"

    // $ANTLR start "T__24"
    public final void mT__24() throws RecognitionException {
        try {
            int _type = T__24;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:21:7: ( ',' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:21:9: ','
            {
            match(','); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__24"

    // $ANTLR start "T__25"
    public final void mT__25() throws RecognitionException {
        try {
            int _type = T__25;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:22:7: ( ')' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:22:9: ')'
            {
            match(')'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__25"

    // $ANTLR start "T__26"
    public final void mT__26() throws RecognitionException {
        try {
            int _type = T__26;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:23:7: ( 'name' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:23:9: 'name'
            {
            match("name"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__26"

    // $ANTLR start "T__27"
    public final void mT__27() throws RecognitionException {
        try {
            int _type = T__27;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:24:7: ( 'slots' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:24:9: 'slots'
            {
            match("slots"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__27"

    // $ANTLR start "T__28"
    public final void mT__28() throws RecognitionException {
        try {
            int _type = T__28;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:25:7: ( '=' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:25:9: '='
            {
            match('='); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__28"

    // $ANTLR start "T__29"
    public final void mT__29() throws RecognitionException {
        try {
            int _type = T__29;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:26:7: ( 'services' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:26:9: 'services'
            {
            match("services"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__29"

    // $ANTLR start "T__30"
    public final void mT__30() throws RecognitionException {
        try {
            int _type = T__30;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:27:7: ( '[' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:27:9: '['
            {
            match('['); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__30"

    // $ANTLR start "T__31"
    public final void mT__31() throws RecognitionException {
        try {
            int _type = T__31;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:28:7: ( ']' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:28:9: ']'
            {
            match(']'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__31"

    // $ANTLR start "T__32"
    public final void mT__32() throws RecognitionException {
        try {
            int _type = T__32;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:29:7: ( 'variables' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:29:9: 'variables'
            {
            match("variables"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__32"

    // $ANTLR start "T__33"
    public final void mT__33() throws RecognitionException {
        try {
            int _type = T__33;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:30:7: ( 'multicast' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:30:9: 'multicast'
            {
            match("multicast"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__33"

    // $ANTLR start "T__34"
    public final void mT__34() throws RecognitionException {
        try {
            int _type = T__34;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:31:7: ( '#' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:31:9: '#'
            {
            match('#'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__34"

    // $ANTLR start "T__35"
    public final void mT__35() throws RecognitionException {
        try {
            int _type = T__35;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:32:7: ( '->' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:32:9: '->'
            {
            match("->"); 


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "T__35"

    // $ANTLR start "DRIVER"
    public final void mDRIVER() throws RecognitionException {
        try {
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:281:2: ( ( 'a' .. 'z' | 'A' .. 'Z' ) )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:281:4: ( 'a' .. 'z' | 'A' .. 'Z' )
            {
            if ( (input.LA(1)>='A' && input.LA(1)<='Z')||(input.LA(1)>='a' && input.LA(1)<='z') ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}


            }

        }
        finally {
        }
    }
    // $ANTLR end "DRIVER"

    // $ANTLR start "BACKSLASH"
    public final void mBACKSLASH() throws RecognitionException {
        try {
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:284:11: ( '\\u005c' )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:284:13: '\\u005c'
            {
            match('\\'); 

            }

        }
        finally {
        }
    }
    // $ANTLR end "BACKSLASH"

    // $ANTLR start "FILE"
    public final void mFILE() throws RecognitionException {
        try {
            int _type = FILE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:286:6: ( ( ( ( DRIVER ':' ) BACKSLASH )? ID ( BACKSLASH ID )* '.' ID ) )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:286:8: ( ( ( DRIVER ':' ) BACKSLASH )? ID ( BACKSLASH ID )* '.' ID )
            {
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:286:8: ( ( ( DRIVER ':' ) BACKSLASH )? ID ( BACKSLASH ID )* '.' ID )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:286:9: ( ( DRIVER ':' ) BACKSLASH )? ID ( BACKSLASH ID )* '.' ID
            {
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:286:9: ( ( DRIVER ':' ) BACKSLASH )?
            int alt1=2;
            int LA1_0 = input.LA(1);

            if ( ((LA1_0>='a' && LA1_0<='z')) ) {
                int LA1_1 = input.LA(2);

                if ( (LA1_1==':') ) {
                    alt1=1;
                }
            }
            else if ( ((LA1_0>='A' && LA1_0<='Z')) ) {
                int LA1_2 = input.LA(2);

                if ( (LA1_2==':') ) {
                    alt1=1;
                }
            }
            switch (alt1) {
                case 1 :
                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:286:11: ( DRIVER ':' ) BACKSLASH
                    {
                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:286:11: ( DRIVER ':' )
                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:286:13: DRIVER ':'
                    {
                    mDRIVER(); 
                    match(':'); 

                    }

                    mBACKSLASH(); 

                    }
                    break;

            }

            mID(); 
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:286:41: ( BACKSLASH ID )*
            loop2:
            do {
                int alt2=2;
                int LA2_0 = input.LA(1);

                if ( (LA2_0=='\\') ) {
                    alt2=1;
                }


                switch (alt2) {
            	case 1 :
            	    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:286:42: BACKSLASH ID
            	    {
            	    mBACKSLASH(); 
            	    mID(); 

            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);

            match('.'); 
            mID(); 

            }


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "FILE"

    // $ANTLR start "NUMBER"
    public final void mNUMBER() throws RecognitionException {
        try {
            int _type = NUMBER;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:291:9: ( ( ( '0' ) | ( '1' .. '9' ) ( '0' .. '9' )* ) )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:291:11: ( ( '0' ) | ( '1' .. '9' ) ( '0' .. '9' )* )
            {
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:291:11: ( ( '0' ) | ( '1' .. '9' ) ( '0' .. '9' )* )
            int alt4=2;
            int LA4_0 = input.LA(1);

            if ( (LA4_0=='0') ) {
                alt4=1;
            }
            else if ( ((LA4_0>='1' && LA4_0<='9')) ) {
                alt4=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 4, 0, input);

                throw nvae;
            }
            switch (alt4) {
                case 1 :
                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:291:12: ( '0' )
                    {
                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:291:12: ( '0' )
                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:291:13: '0'
                    {
                    match('0'); 

                    }


                    }
                    break;
                case 2 :
                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:291:18: ( '1' .. '9' ) ( '0' .. '9' )*
                    {
                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:291:18: ( '1' .. '9' )
                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:291:19: '1' .. '9'
                    {
                    matchRange('1','9'); 

                    }

                    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:291:28: ( '0' .. '9' )*
                    loop3:
                    do {
                        int alt3=2;
                        int LA3_0 = input.LA(1);

                        if ( ((LA3_0>='0' && LA3_0<='9')) ) {
                            alt3=1;
                        }


                        switch (alt3) {
                    	case 1 :
                    	    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:291:29: '0' .. '9'
                    	    {
                    	    matchRange('0','9'); 

                    	    }
                    	    break;

                    	default :
                    	    break loop3;
                        }
                    } while (true);


                    }
                    break;

            }


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "NUMBER"

    // $ANTLR start "ID"
    public final void mID() throws RecognitionException {
        try {
            int _type = ID;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:293:4: ( ( ( 'a' .. 'z' | 'A' .. 'Z' | NUMBER | '_' | '-' ) )+ )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:293:6: ( ( 'a' .. 'z' | 'A' .. 'Z' | NUMBER | '_' | '-' ) )+
            {
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:293:6: ( ( 'a' .. 'z' | 'A' .. 'Z' | NUMBER | '_' | '-' ) )+
            int cnt6=0;
            loop6:
            do {
                int alt6=2;
                int LA6_0 = input.LA(1);

                if ( (LA6_0=='-'||(LA6_0>='0' && LA6_0<='9')||(LA6_0>='A' && LA6_0<='Z')||LA6_0=='_'||(LA6_0>='a' && LA6_0<='z')) ) {
                    alt6=1;
                }


                switch (alt6) {
            	case 1 :
            	    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:293:7: ( 'a' .. 'z' | 'A' .. 'Z' | NUMBER | '_' | '-' )
            	    {
            	    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:293:7: ( 'a' .. 'z' | 'A' .. 'Z' | NUMBER | '_' | '-' )
            	    int alt5=5;
            	    switch ( input.LA(1) ) {
            	    case 'a':
            	    case 'b':
            	    case 'c':
            	    case 'd':
            	    case 'e':
            	    case 'f':
            	    case 'g':
            	    case 'h':
            	    case 'i':
            	    case 'j':
            	    case 'k':
            	    case 'l':
            	    case 'm':
            	    case 'n':
            	    case 'o':
            	    case 'p':
            	    case 'q':
            	    case 'r':
            	    case 's':
            	    case 't':
            	    case 'u':
            	    case 'v':
            	    case 'w':
            	    case 'x':
            	    case 'y':
            	    case 'z':
            	        {
            	        alt5=1;
            	        }
            	        break;
            	    case 'A':
            	    case 'B':
            	    case 'C':
            	    case 'D':
            	    case 'E':
            	    case 'F':
            	    case 'G':
            	    case 'H':
            	    case 'I':
            	    case 'J':
            	    case 'K':
            	    case 'L':
            	    case 'M':
            	    case 'N':
            	    case 'O':
            	    case 'P':
            	    case 'Q':
            	    case 'R':
            	    case 'S':
            	    case 'T':
            	    case 'U':
            	    case 'V':
            	    case 'W':
            	    case 'X':
            	    case 'Y':
            	    case 'Z':
            	        {
            	        alt5=2;
            	        }
            	        break;
            	    case '0':
            	    case '1':
            	    case '2':
            	    case '3':
            	    case '4':
            	    case '5':
            	    case '6':
            	    case '7':
            	    case '8':
            	    case '9':
            	        {
            	        alt5=3;
            	        }
            	        break;
            	    case '_':
            	        {
            	        alt5=4;
            	        }
            	        break;
            	    case '-':
            	        {
            	        alt5=5;
            	        }
            	        break;
            	    default:
            	        NoViableAltException nvae =
            	            new NoViableAltException("", 5, 0, input);

            	        throw nvae;
            	    }

            	    switch (alt5) {
            	        case 1 :
            	            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:293:8: 'a' .. 'z'
            	            {
            	            matchRange('a','z'); 

            	            }
            	            break;
            	        case 2 :
            	            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:293:17: 'A' .. 'Z'
            	            {
            	            matchRange('A','Z'); 

            	            }
            	            break;
            	        case 3 :
            	            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:293:26: NUMBER
            	            {
            	            mNUMBER(); 

            	            }
            	            break;
            	        case 4 :
            	            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:293:33: '_'
            	            {
            	            match('_'); 

            	            }
            	            break;
            	        case 5 :
            	            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:293:37: '-'
            	            {
            	            match('-'); 

            	            }
            	            break;

            	    }


            	    }
            	    break;

            	default :
            	    if ( cnt6 >= 1 ) break loop6;
                        EarlyExitException eee =
                            new EarlyExitException(6, input);
                        throw eee;
                }
                cnt6++;
            } while (true);


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "ID"

    // $ANTLR start "WS"
    public final void mWS() throws RecognitionException {
        try {
            int _type = WS;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:300:2: ( ( ' ' | '\\t' | '\\r' | '\\n' | '\\u000C' )+ )
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:300:4: ( ' ' | '\\t' | '\\r' | '\\n' | '\\u000C' )+
            {
            // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:300:4: ( ' ' | '\\t' | '\\r' | '\\n' | '\\u000C' )+
            int cnt7=0;
            loop7:
            do {
                int alt7=2;
                int LA7_0 = input.LA(1);

                if ( ((LA7_0>='\t' && LA7_0<='\n')||(LA7_0>='\f' && LA7_0<='\r')||LA7_0==' ') ) {
                    alt7=1;
                }


                switch (alt7) {
            	case 1 :
            	    // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:
            	    {
            	    if ( (input.LA(1)>='\t' && input.LA(1)<='\n')||(input.LA(1)>='\f' && input.LA(1)<='\r')||input.LA(1)==' ' ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        recover(mse);
            	        throw mse;}


            	    }
            	    break;

            	default :
            	    if ( cnt7 >= 1 ) break loop7;
                        EarlyExitException eee =
                            new EarlyExitException(7, input);
                        throw eee;
                }
                cnt7++;
            } while (true);

             _channel=HIDDEN;

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "WS"

    public void mTokens() throws RecognitionException {
        // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:8: ( T__10 | T__11 | T__12 | T__13 | T__14 | T__15 | T__16 | T__17 | T__18 | T__19 | T__20 | T__21 | T__22 | T__23 | T__24 | T__25 | T__26 | T__27 | T__28 | T__29 | T__30 | T__31 | T__32 | T__33 | T__34 | T__35 | FILE | NUMBER | ID | WS )
        int alt8=30;
        alt8 = dfa8.predict(input);
        switch (alt8) {
            case 1 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:10: T__10
                {
                mT__10(); 

                }
                break;
            case 2 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:16: T__11
                {
                mT__11(); 

                }
                break;
            case 3 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:22: T__12
                {
                mT__12(); 

                }
                break;
            case 4 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:28: T__13
                {
                mT__13(); 

                }
                break;
            case 5 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:34: T__14
                {
                mT__14(); 

                }
                break;
            case 6 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:40: T__15
                {
                mT__15(); 

                }
                break;
            case 7 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:46: T__16
                {
                mT__16(); 

                }
                break;
            case 8 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:52: T__17
                {
                mT__17(); 

                }
                break;
            case 9 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:58: T__18
                {
                mT__18(); 

                }
                break;
            case 10 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:64: T__19
                {
                mT__19(); 

                }
                break;
            case 11 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:70: T__20
                {
                mT__20(); 

                }
                break;
            case 12 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:76: T__21
                {
                mT__21(); 

                }
                break;
            case 13 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:82: T__22
                {
                mT__22(); 

                }
                break;
            case 14 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:88: T__23
                {
                mT__23(); 

                }
                break;
            case 15 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:94: T__24
                {
                mT__24(); 

                }
                break;
            case 16 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:100: T__25
                {
                mT__25(); 

                }
                break;
            case 17 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:106: T__26
                {
                mT__26(); 

                }
                break;
            case 18 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:112: T__27
                {
                mT__27(); 

                }
                break;
            case 19 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:118: T__28
                {
                mT__28(); 

                }
                break;
            case 20 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:124: T__29
                {
                mT__29(); 

                }
                break;
            case 21 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:130: T__30
                {
                mT__30(); 

                }
                break;
            case 22 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:136: T__31
                {
                mT__31(); 

                }
                break;
            case 23 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:142: T__32
                {
                mT__32(); 

                }
                break;
            case 24 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:148: T__33
                {
                mT__33(); 

                }
                break;
            case 25 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:154: T__34
                {
                mT__34(); 

                }
                break;
            case 26 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:160: T__35
                {
                mT__35(); 

                }
                break;
            case 27 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:166: FILE
                {
                mFILE(); 

                }
                break;
            case 28 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:171: NUMBER
                {
                mNUMBER(); 

                }
                break;
            case 29 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:178: ID
                {
                mID(); 

                }
                break;
            case 30 :
                // C:\\Users\\zborilf\\workspace\\TMass-X\\src\\jTMass\\core\\jLoaders\\jTMassML\\tMassML.g:1:181: WS
                {
                mWS(); 

                }
                break;

        }

    }


    protected DFA8 dfa8 = new DFA8(this);
    static final String DFA8_eotS =
        "\1\uffff\1\37\3\uffff\4\37\1\uffff\2\37\3\uffff\1\37\3\uffff\1"+
        "\37\1\uffff\3\37\2\61\1\37\1\uffff\3\37\2\uffff\17\37\2\uffff\2"+
        "\61\31\37\1\132\1\133\2\37\1\136\10\37\2\uffff\2\37\1\uffff\4\37"+
        "\1\uffff\1\37\1\156\2\37\1\161\5\37\1\uffff\2\37\1\uffff\1\171\1"+
        "\172\3\37\1\177\1\37\2\uffff\1\37\1\u0082\1\u0083\1\u0084\1\uffff"+
        "\1\u0085\1\37\4\uffff\1\37\1\u0088\1\uffff";
    static final String DFA8_eofS =
        "\u0089\uffff";
    static final String DFA8_minS =
        "\1\11\1\55\3\uffff\4\55\1\uffff\2\55\3\uffff\1\55\3\uffff\1\55"+
        "\1\uffff\6\55\1\uffff\3\55\2\uffff\17\55\2\uffff\50\55\2\uffff\2"+
        "\55\1\uffff\4\55\1\uffff\12\55\1\uffff\2\55\1\uffff\7\55\2\uffff"+
        "\4\55\1\uffff\2\55\4\uffff\2\55\1\uffff";
    static final String DFA8_maxS =
        "\1\175\1\172\3\uffff\4\172\1\uffff\2\172\3\uffff\1\172\3\uffff"+
        "\1\172\1\uffff\6\172\1\uffff\3\172\2\uffff\17\172\2\uffff\50\172"+
        "\2\uffff\2\172\1\uffff\4\172\1\uffff\12\172\1\uffff\2\172\1\uffff"+
        "\7\172\2\uffff\4\172\1\uffff\2\172\4\uffff\2\172\1\uffff";
    static final String DFA8_acceptS =
        "\2\uffff\1\2\1\3\1\4\4\uffff\1\11\2\uffff\1\16\1\17\1\20\1\uffff"+
        "\1\23\1\25\1\26\1\uffff\1\31\6\uffff\1\36\3\uffff\1\35\1\33\17\uffff"+
        "\1\32\1\34\50\uffff\1\14\1\21\2\uffff\1\22\4\uffff\1\7\12\uffff"+
        "\1\10\2\uffff\1\1\7\uffff\1\24\1\5\4\uffff\1\15\2\uffff\1\6\1\30"+
        "\1\12\1\27\2\uffff\1\13";
    static final String DFA8_specialS =
        "\u0089\uffff}>";
    static final String[] DFA8_transitionS = {
            "\2\33\1\uffff\2\33\22\uffff\1\33\2\uffff\1\24\4\uffff\1\14"+
            "\1\16\2\uffff\1\15\1\25\2\uffff\1\30\11\31\1\11\1\4\1\uffff"+
            "\1\20\3\uffff\32\27\1\21\1\uffff\1\22\1\uffff\1\32\1\uffff\1"+
            "\10\3\26\1\5\1\13\6\26\1\7\1\17\1\26\1\12\1\26\1\6\1\1\2\26"+
            "\1\23\4\26\1\2\1\uffff\1\3",
            "\1\45\1\40\1\uffff\1\43\11\44\1\40\6\uffff\32\42\1\uffff\1"+
            "\40\2\uffff\1\32\1\uffff\4\41\1\36\6\41\1\35\2\41\1\34\13\41",
            "",
            "",
            "",
            "\1\45\1\40\1\uffff\1\43\11\44\1\40\6\uffff\32\42\1\uffff\1"+
            "\40\2\uffff\1\32\1\uffff\13\41\1\46\1\41\1\47\14\41",
            "\1\45\1\40\1\uffff\1\43\11\44\1\40\6\uffff\32\42\1\uffff\1"+
            "\40\2\uffff\1\32\1\uffff\4\41\1\50\25\41",
            "\1\45\1\40\1\uffff\1\43\11\44\1\40\6\uffff\32\42\1\uffff\1"+
            "\40\2\uffff\1\32\1\uffff\16\41\1\51\5\41\1\52\5\41",
            "\1\45\1\40\1\uffff\1\43\11\44\1\40\6\uffff\32\42\1\uffff\1"+
            "\40\2\uffff\1\32\1\uffff\6\41\1\53\23\41",
            "",
            "\1\45\1\40\1\uffff\1\43\11\44\1\40\6\uffff\32\42\1\uffff\1"+
            "\40\2\uffff\1\32\1\uffff\13\41\1\54\16\41",
            "\1\45\1\40\1\uffff\1\43\11\44\1\40\6\uffff\32\42\1\uffff\1"+
            "\40\2\uffff\1\32\1\uffff\10\41\1\55\21\41",
            "",
            "",
            "",
            "\1\45\1\40\1\uffff\1\43\11\44\1\40\6\uffff\32\42\1\uffff\1"+
            "\40\2\uffff\1\32\1\uffff\1\56\31\41",
            "",
            "",
            "",
            "\1\45\1\40\1\uffff\1\43\11\44\1\40\6\uffff\32\42\1\uffff\1"+
            "\40\2\uffff\1\32\1\uffff\1\57\31\41",
            "",
            "\1\45\1\40\1\uffff\1\43\11\44\4\uffff\1\60\2\uffff\32\42\1"+
            "\uffff\1\40\2\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\1\40\6\uffff\32\42\1\uffff\1"+
            "\40\2\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\1\40\6\uffff\32\42\1\uffff\1"+
            "\40\2\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\62\11\63\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\24\41\1\64\5\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\16\41\1\65\13\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\21\41\1\66\10\41",
            "",
            "",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\67\11\70\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\4\41\1\71\25\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\25\41\1\72\4\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\13\41\1\73\16\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\3\41\1\74\26\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\13\41\1\75\16\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\4\41\1\76\25\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\1\77\31\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\13\41\1\100\16\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\14\41\1\101\15\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\21\41\1\102\10\41",
            "",
            "",
            "\1\45\1\40\1\uffff\1\62\11\63\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\62\11\63\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\21\41\1\103\10\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\23\41\1\104\6\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\25\41\1\105\4\41",
            "\1\45\1\40\1\uffff\1\67\11\70\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\67\11\70\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\14\41\1\106\15\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\10\41\1\107\21\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\1\110\31\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\4\41\1\111\25\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\23\41\1\112\6\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\15\41\1\113\14\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\23\41\1\114\6\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\4\41\1\115\25\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\4\41\1\116\25\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\10\41\1\117\21\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\2\41\1\120\27\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\22\41\1\121\7\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\10\41\1\122\21\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\4\41\1\123\25\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\21\41\1\124\10\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\23\41\1\125\6\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\13\41\1\126\16\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\10\41\1\127\21\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\23\41\1\130\6\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\5\41\1\131\24\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\1\134\31\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\4\41\1\135\25\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\2\41\1\137\27\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\15\41\1\140\14\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\16\41\1\141\13\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\10\41\1\142\21\41",
            "\1\45\1\40\1\uffff\1\43\11\44\1\143\6\uffff\32\42\1\uffff"+
            "\1\40\2\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\2\41\1\144\27\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\22\41\1\145\7\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\16\41\1\146\13\41",
            "",
            "",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\1\41\1\147\30\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\22\41\1\150\7\41",
            "",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\4\41\1\151\25\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\23\41\1\152\6\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\15\41\1\153\14\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\16\41\1\154\13\41",
            "",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\1\155\31\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\21\41\1\157\10\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\13\41\1\160\16\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\22\41\1\162\7\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\22\41\1\163\7\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\14\41\1\164\15\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\15\41\1\165\14\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\22\41\1\166\7\41",
            "",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\14\41\1\167\15\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\4\41\1\170\25\41",
            "",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\4\41\1\173\25\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\22\41\1\174\7\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\23\41\1\175\6\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\22\41\1\176\7\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\22\41\1\u0080\7\41",
            "",
            "",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\15\41\1\u0081\14\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\23\41\1\u0086\6\41",
            "",
            "",
            "",
            "",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\22\41\1\u0087\7\41",
            "\1\45\1\40\1\uffff\1\43\11\44\7\uffff\32\42\1\uffff\1\40\2"+
            "\uffff\1\32\1\uffff\32\41",
            ""
    };

    static final short[] DFA8_eot = DFA.unpackEncodedString(DFA8_eotS);
    static final short[] DFA8_eof = DFA.unpackEncodedString(DFA8_eofS);
    static final char[] DFA8_min = DFA.unpackEncodedStringToUnsignedChars(DFA8_minS);
    static final char[] DFA8_max = DFA.unpackEncodedStringToUnsignedChars(DFA8_maxS);
    static final short[] DFA8_accept = DFA.unpackEncodedString(DFA8_acceptS);
    static final short[] DFA8_special = DFA.unpackEncodedString(DFA8_specialS);
    static final short[][] DFA8_transition;

    static {
        int numStates = DFA8_transitionS.length;
        DFA8_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA8_transition[i] = DFA.unpackEncodedString(DFA8_transitionS[i]);
        }
    }

    class DFA8 extends DFA {

        public DFA8(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 8;
            this.eot = DFA8_eot;
            this.eof = DFA8_eof;
            this.min = DFA8_min;
            this.max = DFA8_max;
            this.accept = DFA8_accept;
            this.special = DFA8_special;
            this.transition = DFA8_transition;
        }
        public String getDescription() {
            return "1:1: Tokens : ( T__10 | T__11 | T__12 | T__13 | T__14 | T__15 | T__16 | T__17 | T__18 | T__19 | T__20 | T__21 | T__22 | T__23 | T__24 | T__25 | T__26 | T__27 | T__28 | T__29 | T__30 | T__31 | T__32 | T__33 | T__34 | T__35 | FILE | NUMBER | ID | WS );";
        }
    }
 

}